// main.cc
// Main module
// Prints a reports containing records of courses offered during
// previous years where records appearing in the report can be
// filtered by different criteria as selected by a user through a menu
//
// Written by: Bienvenido Velez
// Copyright University of Puerto Rico - Mayaguez
//

// Standard C++ header files
#include <iostream>
#include <fstream>

// My own header files
#include "filters.h"
#include "report.h"

// Main function
int main()
{
  const char* InputFileName = "datos.dat";
  ifstream inputStream;
  bool done = false;
  while(!done) {
    inputStream.open(InputFileName);
    FilterCriteria filterBy = selectFilterCriteria();
    if (filterBy == Exit) break;
    processRecords(inputStream, filterBy);
    inputStream.close();
  }
}
